org.gradle.api.reporting

## Interface DirectoryReport

- All Superinterfaces:
    org.gradle.util.Configurable<Report>, ConfigurableReport, Report, Serializable
  All Known Subinterfaces:
    JUnitXmlReport

      @Incubating
      public interface DirectoryReport
      extends ConfigurableReport

  A directory based report to be created.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

      `Report.OutputType`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.reporting.Report

      `NAMER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getEntryPoint()` Returns the entry point of a directory based Report This can be the index.html file in a html report
    `Report.OutputType` | `getOutputType()` Always returns `Report.OutputType.DIRECTORY`

    - ### Methods inherited from interface org.gradle.api.reporting.ConfigurableReport

      `setDestination`

    - ### Methods inherited from interface org.gradle.api.reporting.Report

      `getDestination, getDisplayName, getName, isEnabled, setEnabled`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Method Detail

    - #### getEntryPoint

          File getEntryPoint()

      Returns the entry point of a directory based Report This can be the index.html file in a html report
      Returns:
        the entry point of the report or `Report.getDestination()` if no entry point defined

    - #### getOutputType

          Report.OutputType getOutputType()

      Always returns `Report.OutputType.DIRECTORY`
      Specified by:
        `getOutputType` in interface `Report`
      Returns:
        `Report.OutputType.DIRECTORY`